function modes=loadexprob(handles,probloc,probname)
s=[]; modeslist=[];
pathname=['..\testdata\' probloc '\' probname '*.mat'];
destpathname=['..\testdata\' probloc '\'];
files = dir(pathname);
for i = 1:numel(files)
    load([destpathname files(i).name]);
    s =[s; whos('-file', [destpathname files(i).name])];
    modeslist=[modeslist ' ' s(i).name];
    modelabels{i}=['Mode ' num2str(i)];
end
eval(['modes={' modeslist '};']);
set(handles.popupmenu8,'String',modelabels);
end